/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.iface;

import java.util.List;

import com.eviware.soapui.impl.wsdl.WsdlInterface;
import com.eviware.soapui.impl.wsdl.actions.iface.tools.jbossws.WSToolsRegenerateJava2WsdlAction;
import com.eviware.soapui.support.action.SoapUIActionMapping;
import com.eviware.soapui.support.action.support.DefaultSoapUIActionGroup;

/**
 * ActionGroup handler for WsdlInterface
 * 
 * @author ole.matzura
 */

public class WsdlInterfaceSoapUIActionGroup extends DefaultSoapUIActionGroup<WsdlInterface>
{
	public WsdlInterfaceSoapUIActionGroup( String id, String name )
	{
		super( id, name );
	}

	@Override
	public List<SoapUIActionMapping<WsdlInterface>> getActionMappings( WsdlInterface modelItem )
	{
		List<SoapUIActionMapping<WsdlInterface>> actionMappings = super.getActionMappings( modelItem );
		
		for( SoapUIActionMapping<WsdlInterface> mapping : actionMappings )
		{
			if( mapping.getActionId().equals( WSToolsRegenerateJava2WsdlAction.SOAPUI_ACTION_ID ))
			{
				WSToolsRegenerateJava2WsdlAction action = ( WSToolsRegenerateJava2WsdlAction ) mapping.getAction();
				mapping.setEnabled( modelItem.getSettings().isSet( action.getValuesSettingID() ) );
			}
		}
		
		return actionMappings;
	}
}
